## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# pointer_less Template Struct Reference

`#include <STLHelper.hpp>`

Inheritance diagram for pointer_less

Collaboration diagram for pointer_less:

List of all members.

## Public Types

- typedef std::binary_function<
  const T*, const T*, bool> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::first_argument_type first_argument_type
- typedef BaseClassType::second_argument_type second_argument_type

## Public Methods

- result_type operator() ( first_argument_type theLHS, second_argument_type theRHS) const

## Member Typedef Documentation

template<classT>
typedef std::binary_function<const T*, const T*, bool> pointer_less<T>::BaseClassType

template<classT>
typedef BaseClassType::first_argument_type pointer_less<T>::first_argument_type

template<classT>
typedef BaseClassType::result_type pointer_less<T>::result_type

template<classT>
typedef BaseClassType::second_argument_type pointer_less<T>::second_argument_type

## Member Function Documentation

template<classT>
result_type pointer_less<T>::operator() ( | first_argument_type theLHS,
| second_argument_type theRHS ) const`[]`

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.